# Input file for the automated creation GGA docker stacks
# The file consists in a "list" of species for which the script will have to create these stacks/load data into galaxy/run workflows

- name: citrus_sinensis
  description:
  # Species description, leave blank if unknown or you don't want it to be used
  # These parameters are used to set up the various urls and adresses in different containers
  # The script requires at least the genus to be specified
    genus: Citrus  # Mandatory!
    species: sinensis # Mandatory!
    sex: male
    strain:
    common_name:
    origin:
    # Useful when there are multiple strains for the same species: set to "yes" to define the strain used as home for JBrowse
    # main_species: yes
    # To use custom display in Tripal theme
    # database: mydatabase
  data:
  # Paths to the different datasets to copy and import into the galaxy container (as a shared library)
  # Must be absolute paths to the dataset
    genome_path: /path/to/repo/examples/src_data/genome/v1.0/Citrus_sinensis-scaffold00001.fasta # Mandatory!
    # Required when they are multiple strains from the same species to map the contig name prefix to the right JBrowse dataset ID in Tripal
    # If multiple contig name prefixes, they must be separated by ";"
    # example: "contig_prefix1;contig_prefix2"
    contig_prefix:
    transcripts_path: /path/to/repo/examples/src_data/annotation/v1.0/Citrus_sinensis-orange1.1g015632m.g.fasta
    proteins_path: /path/to/repo/examples/src_data/annotation/v1.0/Citrus_sinensis-orange1.1g015632m.g.pep.fasta # Mandatory!
    gff_path: /path/to/repo/examples/src_data/annotation/v1.0/Citrus_sinensis-orange1.1g015632m.g.gff3 # Mandatory!
    interpro_path: /path/to/repo/examples/src_data/annotation/v1.0/functional_annotation/Citrus_sinensis-orange1.1g015632m.g.iprscan.xml
    orthofinder_path:
    blastp_path:
    blastx_path: /path/to/repo/examples/src_data/annotation/v1.0/functional_annotation/Blastx_citrus_sinensis-orange1.1g015632m.g.fasta.0_vs_uniprot_sprot.fasta.out
    # If the user has several datasets of the same 'nature' (gff, genomes, ...) to upload to galaxy, the next scalar is used by the script to differentiate
    # between these different versions and name directories according to it and not overwrite the existing data
    # If left empty, the genome will be considered version "1.0"
    genome_version: 1.0
    # Same as genome version, but for the OGS analysis
    ogs_version: 1.0
  services:
  # List the optional services/resources to add
    blast: 0 # "1" to add links to blast form, "some/url" to specify, multiple urls as "Name1=url1&Name2=url2", "0" to disable it. Default: "0"
    go: 1 # "1" to add links to GO summary, "0" to disable it. Default: "0"